From 3e52038d186483a5e4602bbb71d360751756a2a8 Mon Sep 17 00:00:00 2001
From: Nick Barnes <nickbarnes01@gmail.com>
Date: Tue, 21 Jan 2020 23:59:32 +1100
Subject: [PATCH] Fix invalid format specifiers. Fixes #4410.

---
 web/pgadmin/tools/sqleditor/__init__.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/web/pgadmin/tools/sqleditor/__init__.py b/web/pgadmin/tools/sqleditor/__init__.py
index 63fb45a5c..2ea5dc780 100644
--- a/web/pgadmin/tools/sqleditor/__init__.py
+++ b/web/pgadmin/tools/sqleditor/__init__.py
@@ -538,7 +538,7 @@ def compose_type_name(col_info, typname):
         if typname == 'character' or typname == 'character varying':
             typname = typname + '(' + str(col_info['internal_size']) + ')'
         elif typname == 'character[]' or typname == 'character varying[]':
-            typname = '%s(%s)[]'.format(
+            typname = '{}({})[]'.format(
                 typname[:-2],
                 str(col_info['internal_size'])
             )
-- 
2.23.0.windows.1

